
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>docker（8）：使用alpinelinux 构建 golang http 看看能有多小 / iVAN</title>

    <meta name="description" content="docker（8）：使用alpinelinux 构建 golang http 看看能有多小 1,alpine linux 非常小 首先 alpine 非常的小,安装上了bash 之后也才 5mb. golang 不需要其他的依赖,想看看是不是能在 alpine 上面跑呢. 搭建一个golang的环境,而不是把golang的环境放到alpine上面. 2,首先在centos 搭建golang环境 https://golang.org/doc/install 下载然后解压缩: tar -C /usr/local -xzf go1.7.4.linux-amd64.tar.gz 设置环境变量:">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">docker（8）：使用alpinelinux 构建 golang http 看看能有多小</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>1，alpine linux 非常小</h1>
<hr>
<br />首先 alpine 非常的小，安装上了bash 之后也才 5mb。 <br />
golang 不需要其他的依赖，想看看是不是能在 alpine 上面跑呢。 <br />
搭建一个golang的环境，而不是把golang的环境放到alpine上面。</p>
<h1>2，首先在centos 搭建golang环境</h1>
<hr>
<br /><a href="https://golang.org/doc/install" rel="external nofollow noreferrer">https://golang.org/doc/install</a> <br />
下载然后解压缩：</p>
<pre><code>tar -C /usr/local -xzf go1.7.4.linux-amd64.tar.gz
设置环境变量：
export PATH=$PATH:/usr/local/go/bin
export GOPATH=/data/go</code></pre>
<p>假设gopath 在/data/go目录下面。 <br />
编写http.go</p>
<pre><code>package main

import (
        "fmt"
        "net/http"
)

func handler(w http.ResponseWriter, r *http.Request) {
        fmt.Fprintf(w, "Hi there, I love %s!", r.URL.Path[1:])
}

func main() {
        http.HandleFunc("/", handler)
        http.ListenAndServe("0.0.0.0:8080", nil)
}</code></pre>
<p>非常简单。 <br />
go build http.go <br />
./http</p>
<h1>3，编写docker build</h1>
<hr>
<br />vi Dockerfile</p>
<pre><code>FROM       docker.io/alpine:latest
MAINTAINER demo &lt;juest a demo&gt;

RUN apk add --update curl bash &amp;&amp; \
    rm -rf /var/cache/apk/*

WORKDIR /data
ONBUILD COPY http /data

EXPOSE 8080

ENTRYPOINT ["/data/http"]</code></pre>
<p>创建了一个最小的docker镜像环境。然后把源设置成清华的。并且安装了curl和 bash 工具。</p>
<h1>4，启动</h1>
<hr>
<pre><code>demo/go-http         1.0                 b180c236066d        11 seconds ago      9.555 MB</code></pre>
<p>一共就只有 10mb的容器，非常的小呢。 <br />
但是但是现实还是残酷的。由于alpine太精简了。造成golang没有起来。 <br />
看了一个内核linux 是启动不了 golang的。 <br />
最终的dockerfile：</p>
<pre><code>FROM       docker.io/golang:latest
MAINTAINER demo &lt;juest a demo&gt;

RUN echo "https://mirror.tuna.tsinghua.edu.cn/alpine/v3.4/main" &gt; /etc/apk/repositories

RUN apk add --update curl bash &amp;&amp; \
    rm -rf /var/cache/apk/*

WORKDIR /data
ONBUILD COPY http /data

EXPOSE 8080

ENTRYPOINT ["/data/http"]</code></pre>
<p>还是用到了docker官方的golang环境，才能启动。 <br />
否则报错</p>
<pre><code>No such file or directory</code></pre>
<p>可执行文件都找不到。容器无法启动。</p>
<h1>5，总结</h1>
<hr>
<br />本文的原文连接是:    <a href="http://blog.csdn.net/freewebsys/article/details/53615757" rel="external nofollow noreferrer">http://blog.csdn.net/freewebsys/article/details/53615757</a>   未经博主允许不得转载。  <br />
博主地址是：<a href="http://blog.csdn.net/freewebsys" rel="external nofollow noreferrer">http://blog.csdn.net/freewebsys</a></p>
<p>最终golang 在一个官方的环境下启动了。 <br />
没有弄明白golang到底需要啥环境。 <br />
最终大小为 679.6 MB  <br />
还以为 10mb 就能解决问题呢。看来是一个不错的探索。 <br />
其他环境也可以研究下。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 16:11:41</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/https/" title="HTTPS">HTTPS</a>, <a href="https://www.iamivan.net/tag/http/" title="http">http</a>, <a href="https://www.iamivan.net/tag/path/" title="path">path</a>, <a href="https://www.iamivan.net/tag/curl/" title="curl">curl</a>, <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>, <a href="https://www.iamivan.net/tag/cache/" title="Cache">Cache</a>, <a href="https://www.iamivan.net/tag/update/" title="update">update</a>, <a href="https://www.iamivan.net/tag/%e5%ae%b9%e5%99%a8/" title="容器">容器</a>, <a href="https://www.iamivan.net/tag/docker/" title="docker">docker</a>, <a href="https://www.iamivan.net/tag/demo/" title="demo">demo</a>, <a href="https://www.iamivan.net/tag/bash/" title="Bash">Bash</a>, <a href="https://www.iamivan.net/tag/handler/" title="handler">handler</a>, <a href="https://www.iamivan.net/tag/golang/" title="Golang">Golang</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>docker（8）：使用alpinelinux 构建 golang http 看看能有多小的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx0YoOM.html" rel="bookmark">docker（9）：使用alpinelinux 构建 golang http 启动了，才15mb</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文的原文连接是: http://blog.csdn.net/freewebsys/article/details/53635529 未经博主允许不得转载. 博主地址是:http://blog.csdn.net/freewebsys 1,关于alpine 环境 http://blog.csdn.net/freewebsys/article/details/53615757 昨天研究了下golang的http服务器. 发现在启动的时候报错: No such file or directory 发现			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Qd2Dp.html" rel="bookmark">用 Docker、Gradle 来构建、运行、发布一个 Spring Boot 应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文演示了如何用 Docker.Gradle 来构建.运行.发布来一个 Spring Boot 应用. Docker 简介 Docker 是一个 Linux 容器管理工具包,具备&quot;社交&quot;方面,允许用户发布容器的 image (镜像),并使用别人发布的 image.Docker image 是用于运行容器化进程的方案,在本文中,我们将构建一个简单的 Spring Boot 应用程序. 有关 Docker 的详细介绍,可以移步至 &lt;简述 Docker&gt; 前置条件 JDK 1.8			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5ZGmDz.html" rel="bookmark">docker（5）：使用alpinelinux 构建python http 项目</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文的原文连接是: http://blog.csdn.net/freewebsys/article/details/53509676 未经博主允许不得转载. 博主地址是:http://blog.csdn.net/freewebsys 1,开始学习构建docker镜像 http://study.163.com/course/courseMain.htm?courseId=1273002 课程讲的是使用centos构建.自己也一直使用centos,但是有个问题. 就是centos镜像比较大,安装的东			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6992yb.html" rel="bookmark">如何利用docker 构建golang线上部署环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				公司最近开发了一个项目是用golang 写的,现在要部署到线上环境去,又不想在服务器上装单独的golang,决定用docker 封装下,直接打到镜像里面,然后就直接在hub.docker.com上面搜了下golang的镜像,直接就docker pull golang 最新的是1.9的版本 然后参考官方的文档弄了下Dockerfile大概是这样:   FROM golang MAINTAINER jackluo #指定工作目录 WORKDIR /go/src/ActivitApi COPY . .			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPOGOmM.html" rel="bookmark">百闻不如一战：&OpenCurlyDoubleQuote;Docker巨好玩&rdquo;镜像构建挑战赛</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 4月28日,由云雀科技主办的,正式开启啦!本次挑战赛是国内第一场以Docker为主题的线上竞赛,旨在普及Docker知识,推动国内Docker生态系统的建设,为Docker爱好者和使用者提供一个实战平台.Docker技术已经在国内的开源市场方兴未艾,各种线上线下的讲座层出不穷.然而,知识的积累只是掌握一门技术的前提,深入的实践才能成为专家.所以,本次挑战赛依托这个简单易用的平台,为开发者提供一个学以致用的机会,还有机会拿大奖! 挑战赛主题Docker的魅力不仅在于提高资源利用率,更在于			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn6VVOp.html" rel="bookmark">Docker之利用 Dockerfile构建 Redis 服务的教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Dockerfile   ENV REDIS_VERSION=3.2.1 ENV REDIS_DOWNLOAD_URL=http://download.redis.io/releases/redis-${REDIS_VERSION}.tar.gz \         REDIS_DOWNLOAD_SHA1=26c0fc282369121b4e278523fce122910b65fbbf   RUN \         REDIS_FILE=${REDIS_DOWNLOAD_URL##*/} &amp;&a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK8o1aM.html" rel="bookmark">Docker中使用Dockerfile构建 MariaDB 主从集群镜像</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.使用方法 1.单独MySQL模式 docker run -d \ -e TIMEZONE=Asia/Shanghai \ -v /data/mariadb-master:/data/mariadb \ -e MYSQL_ROOT_PASSWORD=lookback \ -p 3306:3306 \ mariadb:10.0.21 2.MariaDB MASTER docker run -d \ -e TIMEZONE=Asia/Shanghai \ -v /data/mariadb-mast			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKLZKLM.html" rel="bookmark">Golang中channel使用的一些小技巧&lowbar;Golang</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关闭2次 复制代码 代码如下: ch := make(chan bool) close(ch) close(ch)  // 这样会panic的,channel不能close两次 读取的时候channel提前关闭了 复制代码 代码如下: ch := make(chan string) close(ch) i := &lt;- ch // 不会panic, i读取到的值是空 &quot;&quot;,  如果channel是bool的,那么读取到的是false 向已经关闭的channel写数据 复制代码 代码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvnjJ8M.html" rel="bookmark">docker（10）：virtualbox 安装使用 alpinelinux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文的原文连接是: http://blog.csdn.net/freewebsys/article/details/53638227 未经博主允许不得转载. 博主地址是:http://blog.csdn.net/freewebsys 1,golang非常适合云计算 docker 非常的好,golang 也可以直接跑在 alpine系统上面 但是,golang是个编译语言,不像java一样.可以把jar拷贝到其他系统上,golang依赖编译环境. 之前犯的一个错误就是,把centos系统上编译的二			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgyyAz.html" rel="bookmark" class="title">Photoshop给村道上的美女加上绚丽的秋季阳光色</a>
					<div>
						秋季阳光图片分两步来调色.首先把图片的主色转为秋季色暖色:然后在顶部的边角增加暖色高光,渲染出阳光效果即可. 原图 最终效果 [1] [2] [3] [4] [5] [6]  下一页					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZQg5p.html" rel="bookmark" class="title">用ASP实现邮箱访问</a>
					<div>
						访问 网站时是否会在有些页面上见到这种功能---您在可以访问此网站的同时, 还可以查看您免费邮箱中是否有新邮件.这个功能是不是让您觉得很心动.很神秘呢? 下面,我就用ASP来举个例子让您知道是如何实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLDo8p.html" rel="bookmark" class="title">很好的上传！无组件！文件上传！包含其他文本字段！文件自动更名！简单易用！</a>
					<div>
						上传|无组件 其中部分代码根据化境代码改编!!upload.htm&lt;html&gt; &lt;head&gt;&lt;meta http-equiv=&quot;Content-Language ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7lORb.html" rel="bookmark" class="title">也谈截取首页新闻 - 范例</a>
					<div>
						截取yahoo.com.cn新闻[仅供实验] 有很多截取首页新闻的程序,但是并不能成功. 他们的工作原理无非两种,一种是采用某些网站称之为backend的后端数据库接口,另一种则是硬声声的根据html ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7XN6M.html" rel="bookmark" class="title">实践单元测试-Using NUnit大纲</a>
					<div>
						经过这段实践对NUnit和VSTS的研究和尝试,发现自己更喜欢和适合测试驱动开发(TDD)这种编程方式,code by intention的编程方式实在是令人愉悦,感谢linkin一直来的思想熏陶.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKANVp.html" rel="bookmark" class="title">单向链表的方法优化</a>
					<div>
						前几天写了一篇关于单向链表的实现方法,单向链表的具体实现在里面都有说明,见博客:http://cq520.iteye.com/blog/1853186 不过细心的朋友也许发现了,上次写的几个方法其实是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBrNlb.html" rel="bookmark" class="title">阿里云服务器如何挂载数据盘</a>
					<div>
						阿里云服务器如何挂载数据盘 云服务器 ECS 支持对当作数据盘用的普通云盘.高效云盘及 SSD 云盘进行挂载.您可以选择从实例入口进行挂载,或从磁盘入口进行挂载,两种操作没有区别,您可以选择任意一种方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRaLRz.html" rel="bookmark" class="title">Photoshop关于配置的技巧一览</a>
					<div>
						Photoshop关于配置的技巧一览   1.在&quot;编辑&gt;首选项&gt;文件处理[Ctrl+K, Ctrl+2]&quot;中,你可以对显示在&quot;文件&gt;最近打开文件&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4GJNp.html" rel="bookmark" class="title">C语言小程序 杨辉三角示例代码</a>
					<div>
						输入要显示的杨辉三角的行数,会打印出金字塔型的杨辉三角,不过行数太多的话,效果不太好,可以再调整一下格式控制   复制代码 代码如下: #include &lt;stdio.h&gt; #includ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8j4ePb.html" rel="bookmark" class="title">用Word文本框进行排版的四个妙法</a>
					<div>
						一.让多个文本框连接起来 一个页面中可能需要用到好几个文本框,如果我们需要把这么多个Word文本框之间相互链接起来那该怎么办呢?其实这个操作还是比较简单的,大家只要用鼠标单击菜单栏中的&quot;插入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmwe0z.html" rel="bookmark" class="title">Eclipse去除js&lpar;JavaScript&rpar;验证错误介绍</a>
					<div>
						 这篇文章主要是对Eclipse去除js(JavaScript)验证错误进行了介绍.在Eclipse中,js文件常常会报错.可以通过如下几个步骤解决 第一步: 去除eclipse的JS验证: 将win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDY0qrb.html" rel="bookmark" class="title">如何关闭Win7系统开机提示音</a>
					<div>
						  不太习惯Win7系统开机提示音的用户,可根据以下操作将其关闭: ① 在&quot;开始&quot;界面中点击&quot;控制面板&quot;进入界面. ②在&quot;控制面板&quot;界面中点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWX0WAp.html" rel="bookmark" class="title">360驱动大师有什么用？</a>
					<div>
						  --360驱动大师有什么用 万能网卡驱动:在没有网卡驱动的情况下自动从本地安装网卡驱动,方便新装机用户 . 驱动体检:首创驱动体检技术,更快更精准地识别您的电脑,电脑信息一目了然 . 精确识别:在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZlDwz.html" rel="bookmark" class="title">【VS调试】C&num;读写Windows 7注册表时抛出&OpenCurlyDoubleQuote;不允许所请求的注册表访问权&rdquo;的解决办法</a>
					<div>
						原文:[VS调试]C#读写Windows 7注册表时抛出&quot;不允许所请求的注册表访问权&quot;的解决办法 项目 - 属性 - 安全性,&quot;使用ClickOnce&quot;,修改a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwPkxp.html" rel="bookmark" class="title">阿里云轻量应用服务器让建站变得简单</a>
					<div>
						阿里云新推出了轻量型应用服务器,相对于阿里云ECS服务器轻量型应用服务器不仅价格实惠更重要的是提供一站式体验,集成域名解析.网站发布.服务器管理等功能,丰富的应用为您提供便捷的网站管理及配置.轻量应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EONoM.html" rel="bookmark" class="title">Kafka实战－实时日志统计流程</a>
					<div>
						1.概述 在&lt;Kafka实战-简单示例&gt; 一文中给大家介绍来Kafka的简单示例,演示了如何编写Kafka的代码去生产数据和消费数据,今天给大家介绍如何去整合一个完整的项目,本篇博客我打  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6B5qz.html" rel="bookmark" class="title">数据仓库专题（23）：总线矩阵的另类应用-Drill Down into a More Detailed Bus Matrix</a>
					<div>
						一.前言 Many of you are already familiar with the data warehouse bus architecture and matrix given thei ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm64xqz.html" rel="bookmark" class="title">TraceView工具的使用</a>
					<div>
						TraceView使用经验 在对手机淘宝性能分析和定位的过程中Traceview是使用最多的一个工具在遇到启动时间长界面切换时间长特别卡顿的时候Traceview是首选工具.如果查看界面的帧率问题建议 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXway4M.html" rel="bookmark" class="title">Hadoop Streaming原理及实践</a>
					<div>
						Hadoop Streaming提供了一个便于进行MapReduce编程的工具包,使用它可以基于一些可执行命令.脚本语言或其他编程语言来实现Mapper和 Reducer,从而充分利用Hadoop并行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP3Qqp.html" rel="bookmark" class="title">跨机挂存储，docker 2375端口没起来，导致swarm 查询info没有节点信息</a>
					<div>
						问题描述 各位大神,请慷慨解答一下困扰我1个多月的3个问题.1.swarm通过tokenid建立成功,一个3个物理机,swarmmanage在第一台.然后swarmlist也都能查到3台ip信息.问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYyEZp.html" rel="bookmark" class="title">课程设计</a>
					<div>
						问题描述 采用WinForm所做的考试系统是怎样实现客户端和服务器端之间的交互? 解决方案 解决方案二:不光是做考试系统,做几乎大部分常见C/S系统都可以用WCF,很方便的.或者你不需要在服务器端做特 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBa9Db.html" rel="bookmark" class="title">经济复苏新途还是旧路</a>
					<div>
						调查篇 盘点难忘的2009年,本刊一手调查表明-- 六成全国浙商企业依旧走在旧路上 &lt;浙商&gt;记者 白友文 从一季度的6.1%到上半年的7.1%,再到前三季的7.7%,2009年全国GDP增 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmqyxM.html" rel="bookmark" class="title">CSS布局 -- 左侧定宽，右侧自适应</a>
					<div>
						原文:CSS布局 -- 左侧定宽,右侧自适应 左侧定宽,右侧自适应 有很多种方法可以实现 缩小窗口试试看?   方案一: 左边左浮动,右边加个margin-left 查看 demo  &lt;!DOC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKBjWz.html" rel="bookmark" class="title">java swing 布局，设置jpanel大小，位置</a>
					<div>
						问题描述 java swing 布局,设置jpanel大小,位置 jpanel.setsize...这个为什么不生效?总是布满整个窗口,我只想一小块在中间. 注意:这个方法如果不行,有别的方法吗? 绝 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJlqdp.html" rel="bookmark" class="title">Python 判断密码等级的强弱，不使用正则表达式</a>
					<div>
						转载请标明出处: http://blog.csdn.net/DJY1992/article/details/72845025 本文出自:[奥特曼超人的博客] 编写一个函数,接收一个字符串作为参数,判断 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22rkkb.html" rel="bookmark" class="title">Xamarin&period;Android开发实践（二）</a>
					<div>
						原文:Xamarin.Android开发实践(二) 一.准备 开始学习本教程前必须先完成该教程http://www.cnblogs.com/yaozhenfa/p/xamarin_android_qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7mgGz.html" rel="bookmark" class="title">携手热爱生活的精英人群一同追求优雅、更有品质的精致生活</a>
					<div>
						&quot;选择这款卡萨帝冰箱,是因为它的美观.人性化.易清洁.容量大等特点,这些优点一下子就征服了我.&quot;成都的热心网友张先生对记者说出了选择卡萨帝冰箱的缘由.近日,在由卡萨帝发起的&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnPyWM.html" rel="bookmark" class="title">集合真麻烦</a>
					<div>
						问题描述 请问:LinkedList在什么时候用啊?感觉好像从来没用过.还有listIterator这是干嘛的?和Iterator有什么区别吗? 解决方案 解决方案二:LinkedList作用很强大, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QR7dM.html" rel="bookmark" class="title">把义乌模式的魂勾过来</a>
					<div>
						&quot;小商品.大产业,小商铺.大配套&quot;,刘卫高要扎扎实实地打造一个真正的大市场. 本刊记者 苏旭 第一次到昆明,不少人会因为气候干燥和海拔较高而失眠.但这始终是一座能给人带来惊喜的城市 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Z4vqb.html" rel="bookmark" class="title">云计算革命带来的机遇和风险并存</a>
					<div>
						尽管目前无法猜测云计算革命带来的影响到底有多大,但是可以肯定的是,工业技术将会发生重大突破,新科学将会来到,一个具有http://www.aliyun.com/zixun/aggregation/18 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
